Subject: Re: bug#65412: Guix installer failed to install

From: Bruno Haible <[email-masked]>
Date: Sat, 02 Sep 2023 13:55:19 +0200

Hi Josselin,

Thanks for the answer.

> > The problem is not so much that it failed, but that the warning
> > message does not sufficiently describe the cause:
> >   * I understand the figure of 6 GB: that's the expected size for
> >     a GUI environment with MATE.
> >   * But I don't understand the figure of 1 GB.
> >     - Is /mnt a RAM disk (the VM has 2 GB of RAM), or did the installer fail
> >       to mount /mnt?
> >     - Or is /mnt overloaded to the swap partition (which has 1 GB in my config)?
> >     - Or is /mnt the 10 GB partition of my disk, and the downloaded binaries
> >       already filled 9 GB of it?
> > If I knew this, I would know what to do to fix the problem: Add more RAM?
> > Partition differently? Use a larger main partition?
> 
> My guess is that, because a Guix system init installs some stuff in
> steps, one of these steps ended up requiring too much space, that would
> be bullet point 3 above.

Yes, that was it. I did the same procedure again, this time with a disk
of size 20 GB instead of 10 GB. The installation succeeded, and after the
installation 6-7 GB of the disk were used. But the qcow2 disk image was
14 GB large, indicating that the maximum use of the disk had been 14 GB.
So, yes, there must have been ca. 7 GB of data that were temporarily used
and deleted near the end of the installation process.

Suggestion: Extend the message "... but only 1,079.3 MB available in /mnt"
- either to include details about /mnt:
  "... but only 1,079.3 MB available in /mnt, mount point for /dev/sda2
   (file system type: ext4)"
- or to include details about the usage of /mnt:
  "... but only 1,079.3 MB available in /mnt, a file system with 8,543 MB
   total size, of which 7,421 MB are already in use"

Bruno